Package com.complexible.stardog.index

# Enum Class IndexOptions.WriteConflictStrategy

java.lang.Object
java.lang.Enum<IndexOptions.WriteConflictStrategy>
com.complexible.stardog.index.IndexOptions.WriteConflictStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<IndexOptions.WriteConflictStrategy>`, `Constable`

Enclosing class:
  `IndexOptions`

public static enum IndexOptions.WriteConflictStrategy extends Enum<IndexOptions.WriteConflictStrategy>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABORT_ON_CONFLICT`
  `LAST_COMMIT_WINS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `forcesWriteConflictChecking()`
  `static IndexOptions.WriteConflictStrategy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IndexOptions.WriteConflictStrategy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LAST_COMMIT_WINS

    public static final IndexOptions.WriteConflictStrategy LAST_COMMIT_WINS

  - ### ABORT_ON_CONFLICT

    public static final IndexOptions.WriteConflictStrategy ABORT_ON_CONFLICT

- ## Method Details

  - ### values

    public static IndexOptions.WriteConflictStrategy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IndexOptions.WriteConflictStrategy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forcesWriteConflictChecking

    public boolean forcesWriteConflictChecking()